#!/usr/bin/env bash

[[ -z "${build_helper_file}" ]] && {
	echo "Missing build helper file. Please define \"build_helper_file\""
	exit 1
}
source ${build_helper_file}
[[ $build_helpers_defined -ne 1 ]] && {
    echo "Failed to include build helpers."
    exit 1
}


library_path="Thread-Pool"
requires_rebuild ${library_path}
[[ $? -eq 0 ]] && exit 0

_cmake_options=""
[[ ${build_os_type} == "win32" ]] && _cmake_options="-DMSVC_RUNTIME=static"
cmake_build ${library_path} -DCMAKE_BUILD_TYPE=Debug ${_cmake_options}
check_err_exit ${library_path} "Failed to build Thread-Pool!"
set_build_successful ${library_path}

